import Vue from "vue";
import { createPinia, PiniaVuePlugin } from "pinia";
import DataVComponent from "@zhgkpt/components";
import App from "./App.vue";
import router from "./router";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import "./assets/css/main.css";
import YlycModalHeader from '@/components/YlycModalHeader.vue'
import ZhxfModalHeader from '@/components/ZhxfModalHeader.vue'
import 'core-js/stable';
import 'regenerator-runtime/runtime';

Vue.use(ElementUI);
Vue.use(PiniaVuePlugin);
Vue.use(DataVComponent);
Vue.component('YlycModalHeader',YlycModalHeader);
Vue.component('ZhxfModalHeader',ZhxfModalHeader);
new Vue({
  router,
  pinia: createPinia(),
  render: (h) => h(App),
}).$mount("#app");
